summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorUltrabug <ultrabug@gentoo.org>2018-01-05 09:48:27 +0100
committerUltrabug <ultrabug@gentoo.org>2018-01-05 09:48:45 +0100
commit57951ab056bb8d3b62b70423c6c17b2fbda7e2c2 (patch)
tree52359c90141e596cbfdb09d4f6f0a97068455c9d /www-servers
parentapp-editors/nano: Version 2.8.7 stable for amd64 and x86. (diff)
downloadgentoo-57951ab056bb8d3b62b70423c6c17b2fbda7e2c2.tar.gz
gentoo-57951ab056bb8d3b62b70423c6c17b2fbda7e2c2.tar.bz2
gentoo-57951ab056bb8d3b62b70423c6c17b2fbda7e2c2.zip
www-servers/uwsgi: add php 7.x targets, wrt #641434
Diffstat (limited to 'www-servers')
-rw-r--r--www-servers/uwsgi/uwsgi-2.0.15-r2.ebuild (renamed from www-servers/uwsgi/uwsgi-2.0.15-r1.ebuild)8
1 files changed, 5 insertions, 3 deletions
diff --git a/www-servers/uwsgi/uwsgi-2.0.15-r1.ebuild b/www-servers/uwsgi/uwsgi-2.0.15-r2.ebuild
index 5043eca69ae..85b336d9b68 100644
--- a/www-servers/uwsgi/uwsgi-2.0.15-r1.ebuild
+++ b/www-servers/uwsgi/uwsgi-2.0.15-r2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
@@ -12,7 +12,7 @@ USE_RUBY="ruby22 ruby23 ruby24"
PHP_EXT_INI="no"
PHP_EXT_NAME="dummy"
PHP_EXT_OPTIONAL_USE="php"
-USE_PHP="php5-6 php7-0" # deps must be registered separately below
+USE_PHP="php5-6 php7-0 php7-1 php7-2" # deps must be registered separately below
MY_P="${P/_/-}"
@@ -69,7 +69,7 @@ REQUIRED_USE="|| ( ${LANG_SUPPORT_SIMPLE[@]} ${LANG_SUPPORT_EXTENDED[@]} )
uwsgi_plugins_router_xmldir? ( xml !expat )
pypy? ( python_targets_python2_7 )
python? ( ${PYTHON_REQUIRED_USE} )
- python_asyncio? ( python_targets_python3_4 python_gevent )
+ python_asyncio? ( || ( python_targets_python3_4 python_targets_python3_5 python_targets_python3_6 ) python_gevent )
python_gevent? ( python )
expat? ( xml )"
@@ -113,6 +113,8 @@ CDEPEND="sys-libs/zlib
php? (
php_targets_php5-6? ( dev-lang/php:5.6[embed] )
php_targets_php7-0? ( dev-lang/php:7.0[embed] )
+ php_targets_php7-1? ( dev-lang/php:7.1[embed] )
+ php_targets_php7-2? ( dev-lang/php:7.2[embed] )
)
pypy? ( virtual/pypy )
python? ( ${PYTHON_DEPS} )